Subject: Re: glib for cygwin
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 12 Apr 2001 08:01:55 +1000

Please keep replies on the list.

I won't be posting a patch for glib. I suggest you look at Jong's web
page.

Rob

----- Original Message -----
From: <[email-masked]>
To: "Robert Collins" <[email-masked]>
Sent: Thursday, April 12, 2001 5:02 AM
Subject: Re: glib for cygwin

> Thanks, Please let me me know when you post the patch and points me to
the
> download place.
>
>
>
>
>  (Embedded
>  image moved   "Robert Collins" <[email-masked]>
>  to file:      04/11/2001 09:05 AM
>  pic20207.pcx)
>
>
>
>
> To:   Chang Shen@Progressive, [email-masked]
> cc:
> Subject:  Re: glib for cygwin
>
>
>
> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, April 11, 2001 10:56 PM
> Subject: glib for cygwin
>
>
> > Hi, all,
> > I have tried to compile glib and so far have not been successful.
> Jong B. Lee
> > claimed he was be able to compile glib-1.2.8 with modification
> g_strsignal() to
> > const gchar* g_strsignal(), and const char* strsignal().  But I
still
> got error,
> > especially in gthread_posix.c, even with the newest beta version.
> Charles
> > Wilson pointed me to mailing list
> http://groups.yahoo.com/group/gimpwin-dev/,  I
> > searched there (I was unable to post question over there since my
> membership has
> > yet to be approved) and did not find satisfactory answer.
> >
> > My question is:  Does Cygwin support glib/gtk yet.  Anyone has glib
> tar ball
> > which can be compiled?
>
> I believe Jong does.
>
> > If cygwin is a truly unix like api, other gnu code should be
compiled
> under
> > cygwin without (major?) modification, right?
>
> Yes. Note that Unix is a very large platform. Not all unixes support
all
> features - thats why glib has 3 or 4 different module sub-libraries.
and
> multiple different threads libraries. So being able to compile gnu
code
> with little modification does not mean you can compile all code at
all.
>
> > I am pretty new to cygwin.  I only used cygnus (unix like shell )
> couple years
> > ago (1997?).  So my question may seems like stupid.
> >
> > Thanks
> >
> > CS
> >
>
> I've been able to compile glib 1.2.8 for over 8 months. I had serious
> problems with module support, which IIRC Jong claimed to have solved.
>
> Jong gave out this link http://my.dreamwiz.com/jbdoll/ for a download
of
> his patched glib. - with working modules.
>
> Thread support was broken (compile with --enable-threads=none) but I
> have it working here. I'm currently tidying up some code with
> pthread_key's before I submit a new patch to cygwin. I have glib here
> with working threads (but no modules as I haven't looked into Jong's
> patch :]).
>
> It's very important to use the cygwin pthreads, not win32 threads, if
> your application uses fork(). _DO NOT_ try glib compiled with cygwin
> with threads=win32.
>
> Rob
>
>
>
>
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple